Page MenuHomePhabricator

Sometimes AbuseFilter test shows the wrong icon when there are no error in the syntax
Closed, ResolvedPublic

Description

  1. Go to https://pt.wikipedia.org/wiki/Special:AbuseFilter/examine/74962119?testfilter=false&uselang=en
  2. Click on "Test filter" and notice a red X mark on the left of "The filter did not match this change."
  3. Click on "Check syntax" and notice the red mark is still there, on the left of "No syntax errors detected.", instead of being replaced by the green check mark

Event Timeline

He7d3r created this task.Mar 12 2016, 5:20 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 12 2016, 5:20 PM
  1. Click on "" and

Did you miss something here?

He7d3r updated the task description. (Show Details)Mar 12 2016, 5:48 PM

Yep! Sorry...

Devirk added a subscriber: Devirk.Mar 31 2016, 1:03 PM
Devirk claimed this task.Apr 10 2016, 5:34 AM

Change 282514 had a related patch set uploaded (by Devirk):
Red mark replaced by green check mark when no syntax errors are detected

https://gerrit.wikimedia.org/r/282514

Amire80 moved this task from Backlog to Management UI on the AbuseFilter board.May 8 2016, 8:20 AM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 8 2016, 8:20 AM
divadsn added a subscriber: divadsn.Jan 9 2017, 6:51 AM

@He7d3r, your example isn't available anymore, could you please provide a new working example to reproduce your issue? :)

Change 282514 abandoned by Aklapper:
Red mark replaced by green check mark when no syntax errors are detected.

Reason:
I'm boldly abandoning this patch as it does not do at all what the commit message says. (In general, locally testing code changes is highly recommended.)

https://gerrit.wikimedia.org/r/282514

Removing the good first bug tag as no working steps to reproduce are available anymore.Please re-add the tag once the task description has been polished and provides sufficient information for a new contributor. Thanks for your understanding! :)

He7d3r updated the task description. (Show Details)

Change 365274 had a related patch set (by Matěj Suchánek) published:
[mediawiki/extensions/AbuseFilter@master] Remove all CSS classes from indicator to avoid collision

https://gerrit.wikimedia.org/r/365274

Change 365274 merged by jenkins-bot:
[mediawiki/extensions/AbuseFilter@master] Remove all CSS classes from indicator to avoid collision

https://gerrit.wikimedia.org/r/365274

matej_suchanek closed this task as Resolved.Jul 29 2017, 4:27 PM
matej_suchanek removed a project: Patch-For-Review.
matej_suchanek moved this task from Backlog to Done on the good first bug board.